no longer supports the <include> directive in struts.xml

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

no longer supports the <include> directive in struts.xml

Emi Lu
Hello,

https://struts.apache.org/announce.html shows:
- Struts 2.5.8 no longer supports the <include> directive in struts.xml

Used to have:  "s1.xml, s2.xml, .... sN.xml".


Struts.xml:
    <include file="struts2/s1.xml"    />
    <include file="struts2/s2.xml"    />
     .....
    <include file="struts2/sN.xml"    />

In version 2.5.10, do we need any changes to include s1.xml... sN.xml
please?

Thanks.




---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: no longer supports the <include> directive in struts.xml

Lukasz Lenart
2017-02-06 22:02 GMT+01:00 Emi <[hidden email]>:
> Hello,
>
> https://struts.apache.org/announce.html shows:
> - Struts 2.5.8 no longer supports the <include> directive in struts.xml

Argh... this sounds wrong, it relates to
https://issues.apache.org/jira/browse/WW-4727 which cannot basically
be reproduced, I will change the announcement.

> Used to have:  "s1.xml, s2.xml, .... sN.xml".
>
>
> Struts.xml:
>    <include file="struts2/s1.xml"    />
>    <include file="struts2/s2.xml"    />
>     .....
>    <include file="struts2/sN.xml"    />
>
> In version 2.5.10, do we need any changes to include s1.xml... sN.xml
> please?

Nope, everything will work as usual :)


Regards
--
Ɓukasz
+ 48 606 323 122 http://www.lenart.org.pl/

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]